CRUX-ARM : Home

Home :: Documentation :: Download :: Development :: Community :: Ports :: Packages :: Bugs :: Links :: About :: Donors
pkg-config: initial import (verified compilation)
authorJose V Beneyto <sepen@crux.nu>
Fri, 21 May 2010 10:32:30 +0000 (12:32 +0200)
committerVictor Martinez <pitillo@ono.com>
Sun, 23 May 2010 18:58:00 +0000 (18:58 +0000)
pkg-config/.footprint [new file with mode: 0644]
pkg-config/.md5sum [new file with mode: 0644]
pkg-config/Pkgfile [new file with mode: 0644]
pkg-config/pkg-config-0.23_ANSII_libraries.patch [new file with mode: 0644]

diff --git a/pkg-config/.footprint b/pkg-config/.footprint
new file mode 100644 (file)
index 0000000..df5ed35
--- /dev/null
@@ -0,0 +1,9 @@
+drwxr-xr-x     root/root       usr/
+drwxr-xr-x     root/root       usr/bin/
+-rwxr-xr-x     root/root       usr/bin/pkg-config
+drwxr-xr-x     root/root       usr/man/
+drwxr-xr-x     root/root       usr/man/man1/
+-rw-r--r--     root/root       usr/man/man1/pkg-config.1.gz
+drwxr-xr-x     root/root       usr/share/
+drwxr-xr-x     root/root       usr/share/aclocal/
+-rw-r--r--     root/root       usr/share/aclocal/pkg.m4
diff --git a/pkg-config/.md5sum b/pkg-config/.md5sum
new file mode 100644 (file)
index 0000000..a361f8b
--- /dev/null
@@ -0,0 +1,2 @@
+d922a88782b64441d06547632fd85744  pkg-config-0.23.tar.gz
+2c930a018db63518fa9513ac335b8ace  pkg-config-0.23_ANSII_libraries.patch
diff --git a/pkg-config/Pkgfile b/pkg-config/Pkgfile
new file mode 100644 (file)
index 0000000..a69bab1
--- /dev/null
@@ -0,0 +1,32 @@
+# Description: A system for managing library compile/link flags
+# URL: http://pkgconfig.freedesktop.org/wiki/
+# Maintainer: CRUX System Team, core-ports at crux dot nu
+# Arch Maintainer: CRUX-ARM System Team, devel at crux-arm dot nu
+# Depends on:
+
+name=pkg-config
+version=0.23
+release=1
+source=(http://$name.freedesktop.org/releases/$name-$version.tar.gz \
+        $name-${version}_ANSII_libraries.patch)
+
+build() {
+  cd $name-$version
+
+  patch -p1 -i $SRC/$name-${version}_ANSII_libraries.patch
+
+#  echo "glib_cv_has__inline=yes" > config.cache
+#  echo "glib_cv_hasinline=yes" >> config.cache
+
+  #export GLIB_CFLAGS="-I$CLFS/usr/include/glib-2.0 -I$CLFS/usr/lib/glib-2.0/include"
+  #export GLIB_LIBS="-L$CLFS/usr/lib -lglib-2.0 -liconv -lintl"
+
+  ./configure --build=$CHOST \
+              --host=$CTARGET \
+              --prefix=/usr \
+              --mandir=/usr/man
+#--with-installed-glib
+#              --cache-file=config.cache
+  make
+  make DESTDIR=$PKG install
+}
diff --git a/pkg-config/pkg-config-0.23_ANSII_libraries.patch b/pkg-config/pkg-config-0.23_ANSII_libraries.patch
new file mode 100644 (file)
index 0000000..fb21533
--- /dev/null
@@ -0,0 +1,432 @@
+diff -purN pkg-config-0.23.orig/glib-1.2.10/configure pkg-config-0.23/glib-1.2.10/configure
+--- pkg-config-0.23.orig/glib-1.2.10/configure 2010-05-21 10:21:35.000000000 +0200
++++ pkg-config-0.23/glib-1.2.10/configure      2010-05-21 12:20:27.000000000 +0200
+@@ -20563,114 +20563,8 @@ fi
+ { echo "$as_me:$LINENO: checking for extra flags to get ANSI library prototypes" >&5
+ echo $ECHO_N "checking for extra flags to get ANSI library prototypes... $ECHO_C" >&6; }
+-glib_save_LIBS=$LIBS
+-LIBS="$LIBS -lm"
+-if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-#include <math.h>
+-             int main (void) { return (log(1) != log(1.)); }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  { echo "$as_me:$LINENO: result: none needed" >&5
+-echo "${ECHO_T}none needed" >&6; }
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-glib_save_CFLAGS=$CFLAGS
+-     CFLAGS="$CFLAGS -std1"
+-     if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-#include <math.h>
+-                 int main (void) { return (log(1) != log(1.)); }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  { echo "$as_me:$LINENO: result: -std1" >&5
+-echo "${ECHO_T}-std1" >&6; }
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-{ echo "$as_me:$LINENO: result: " >&5
+-echo "${ECHO_T}" >&6; }
+-         CFLAGS=$glib_save_CFLAGS
+-         { echo "$as_me:$LINENO: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&5
+-echo "$as_me: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&2;}
+-
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
++glib_save_LIBS="$LIBS -lm"
++glib_save_CFLAGS="$CFLAGS -std1"
+ LIBS=$glib_save_LIBS
+@@ -23761,7 +23655,7 @@ _ACEOF
+ fi
+-
++glib_cv_has__inline=yes
+ { echo "$as_me:$LINENO: checking for __inline" >&5
+ echo $ECHO_N "checking for __inline... $ECHO_C" >&6; }
+ if test "${glib_cv_has__inline+set}" = set; then
+@@ -23832,6 +23726,7 @@ xyes) cat >>confdefs.h <<\_ACEOF
+ _ACEOF
+ esac
++glib_cv_has__inline__=yes
+ { echo "$as_me:$LINENO: checking for __inline__" >&5
+ echo $ECHO_N "checking for __inline__... $ECHO_C" >&6; }
+ if test "${glib_cv_has__inline__+set}" = set; then
+@@ -23902,6 +23797,7 @@ xyes) cat >>confdefs.h <<\_ACEOF
+ _ACEOF
+ esac
++glib_cv_hasinline=yes
+ { echo "$as_me:$LINENO: checking for inline" >&5
+ echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
+ if test "${glib_cv_hasinline+set}" = set; then
+@@ -26323,6 +26219,7 @@ fi
+ { echo "$as_me:$LINENO: result: $glib_working_wctype" >&5
+ echo "${ECHO_T}$glib_working_wctype" >&6; }
++glib_cv_sane_realloc=yes
+ { echo "$as_me:$LINENO: checking whether realloc (NULL,) will work" >&5
+ echo $ECHO_N "checking whether realloc (NULL,) will work... $ECHO_C" >&6; }
+ if test "${glib_cv_sane_realloc+set}" = set; then
+@@ -26396,6 +26293,7 @@ fi
+ echo "${ECHO_T}$glib_cv_sane_realloc" >&6; }
++glib_cv_va_copy=no
+ { echo "$as_me:$LINENO: checking for an implementation of va_copy()" >&5
+ echo $ECHO_N "checking for an implementation of va_copy()... $ECHO_C" >&6; }
+ if test "${glib_cv_va_copy+set}" = set; then
+@@ -26470,6 +26368,7 @@ fi
+ { echo "$as_me:$LINENO: result: $glib_cv_va_copy" >&5
+ echo "${ECHO_T}$glib_cv_va_copy" >&6; }
++glib_cv___va_copy=no
+ { echo "$as_me:$LINENO: checking for an implementation of __va_copy()" >&5
+ echo $ECHO_N "checking for an implementation of __va_copy()... $ECHO_C" >&6; }
+ if test "${glib_cv___va_copy+set}" = set; then
+@@ -26544,6 +26443,7 @@ fi
+ { echo "$as_me:$LINENO: result: $glib_cv___va_copy" >&5
+ echo "${ECHO_T}$glib_cv___va_copy" >&6; }
++glib_cv_va_val_copy=no
+ { echo "$as_me:$LINENO: checking whether va_lists can be copied by value" >&5
+ echo $ECHO_N "checking whether va_lists can be copied by value... $ECHO_C" >&6; }
+ if test "${glib_cv_va_val_copy+set}" = set; then
+@@ -27132,6 +27032,7 @@ if test "$G_MODULE_IMPL" = "G_MODULE_IMP
+       LDFLAGS="$LDFLAGS $G_MODULE_LDFLAGS"
+         { echo "$as_me:$LINENO: checking for RTLD_GLOBAL brokenness" >&5
+ echo $ECHO_N "checking for RTLD_GLOBAL brokenness... $ECHO_C" >&6; }
++glib_cv_rtldglobal_broken=no
+ if test "${glib_cv_rtldglobal_broken+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+@@ -27210,6 +27111,7 @@ echo "${ECHO_T}$glib_cv_rtldglobal_broke
+         else
+                 G_MODULE_BROKEN_RTLD_GLOBAL=0
+         fi
++glib_cv_uscore=yes
+       { echo "$as_me:$LINENO: checking for preceeding underscore in symbols" >&5
+ echo $ECHO_N "checking for preceeding underscore in symbols... $ECHO_C" >&6; }
+       if test "${glib_cv_uscore+set}" = set; then
+@@ -28545,6 +28447,7 @@ done
+       if test "$ac_cv_header_pwd_h" = "yes"; then
+               { echo "$as_me:$LINENO: checking for getpwuid_r" >&5
++ac_cv_func_getpwuid_r=yes
+ echo $ECHO_N "checking for getpwuid_r... $ECHO_C" >&6; }
+               if test "${ac_cv_func_getpwuid_r+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+@@ -28727,133 +28630,15 @@ fi
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+               { echo "$as_me:$LINENO: checking whether pthread_mutex_trylock is posix like" >&5
+-echo $ECHO_N "checking whether pthread_mutex_trylock is posix like... $ECHO_C" >&6; }
+-              # DCE Threads return 1 as success, posix 0. what a mess.
+-              if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-#include <pthread.h>
+-                      pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
+-                      int main () {
+-                      return !pthread_mutex_trylock (&mutex); }
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-( exit $ac_status )
++echo $ECHO_N "checking whether pthread_mutex_trylock is posix like... $ECHO_C" >&6; }
+ { echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6; }
+                       cat >>confdefs.h <<\_ACEOF
+ #define HAVE_PTHREAD_MUTEX_TRYLOCK_POSIX 1
+-_ACEOF
+-
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-              { echo "$as_me:$LINENO: checking whether pthread_cond_timedwait is posix like" >&5
+-echo $ECHO_N "checking whether pthread_cond_timedwait is posix like... $ECHO_C" >&6; }
+-              # DCE Threads return -1 as failure, posix ETIMEDOUT.
+-              if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-#include <pthread.h>
+-                      #include <sys/time.h>
+-                      int main () {
+-                      pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
+-                      pthread_cond_t cond = PTHREAD_COND_INITIALIZER;
+-                      struct timeval tval;
+-                      struct timespec tspec;
+-                      gettimeofday (&tval, NULL);
+-                      tspec.tv_sec = tval.tv_sec;
+-                      tspec.tv_nsec = 0;
+-                      pthread_mutex_lock (&mutex);
+-                      return pthread_cond_timedwait (&cond,&mutex,&tspec)
+-                              != -1;}
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-{ echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
+-                      cat >>confdefs.h <<\_ACEOF
+ #define HAVE_PTHREAD_COND_TIMEDWAIT_POSIX 1
+ _ACEOF
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+       fi
+       LIBS="$glib_save_LIBS"
+@@ -28885,6 +28670,7 @@ CFLAGS="$CFLAGS $G_THREAD_CFLAGS"
+         "yes")
+                 { echo "$as_me:$LINENO: checking size of $mutex_default_type" >&5
+ echo $ECHO_N "checking size of $mutex_default_type... $ECHO_C" >&6; }
++glib_cv_sizeof_gmutex=0
+ if test "${glib_cv_sizeof_gmutex+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+@@ -29040,71 +28826,7 @@ else
+ fi
+ { echo "$as_me:$LINENO: checking system definitions for $glib_sysdef_msg" >&5
+ echo $ECHO_N "checking system definitions for $glib_sysdef_msg... $ECHO_C" >&6; }
+-cat >confrun.c <<_______EOF
+-#include <stdio.h>
+-#include <sys/types.h>
+-#include <sys/poll.h>
+-int main (int c, char **v) {
+-  FILE *f = fopen ("$glib_sysdefso", "a");
+-  if (!f) return 1;
+-_______EOF
+-for glib_sysdef_input in POLLIN:1 POLLOUT:4 POLLPRI:2 POLLERR:8 POLLHUP:16 POLLNVAL:32 ; do
+-      glib_sysdef=`echo $glib_sysdef_input | sed 's/^\([^:]*\):.*$/\1/'`
+-      glib_default=`echo $glib_sysdef_input | sed 's/^[^:]*:\(.*\)$/\1/'`
+-      echo "#ifdef $glib_sysdef" >>confrun.c
+-      echo "  fprintf (f, \"#define GLIB_SYSDEF_%s %s%d${glib_nl}\", \"$glib_sysdef\", \"=\", $glib_sysdef);" >>confrun.c
+-      echo "#else" >>confrun.c
+-      if test $glib_sysdef != $glib_default; then
+-              echo "  fprintf (f, \"#define GLIB_SYSDEF_%s %s%d${glib_nl}\", \"$glib_sysdef\", \"=\", $glib_default);" >>confrun.c
+-      else
+-              echo "  fprintf (f, \"#define GLIB_SYSDEF_%s${glib_nl}\", \"$glib_sysdef\");" >>confrun.c
+-      fi
+-      echo "#endif" >>confrun.c
+-done
+-echo "return 0; }" >>confrun.c
+-if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-`cat confrun.c`
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  { echo "$as_me:$LINENO: result: done" >&5
+-echo "${ECHO_T}done" >&6; }
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
++  
+       for glib_sysdef_input in POLLIN:1 POLLOUT:4 POLLPRI:2 POLLERR:8 POLLHUP:16 POLLNVAL:32 ; do
+               glib_sysdef=`echo $glib_sysdef_input | sed 's/^\([^:]*\):.*$/\1/'`
+               glib_default=`echo $glib_sysdef_input | sed 's/^[^:]*:\(.*\)$/\1/'`
+@@ -29117,14 +28839,6 @@ sed 's/^/| /' conftest.$ac_ext >&5
+       done
+       { echo "$as_me:$LINENO: result: failed" >&5
+ echo "${ECHO_T}failed" >&6; }
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-rm -f confrun.c
+-
+-
+ ac_config_commands="$ac_config_commands default-1"